## xpra 0.11.2+dfsg2

=== debian/changelog ===
xpra (0.11.2+dfsg2-1) unstable; urgency=low

  [ Dmitry Smirnov ]
  * copyright update for 0.11, excluding "html5/*"

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * Remove html5/ during DFSG-repackaging.
  * Added disable_html5.patch to disable HTML5 client.
  * debian/control: Remove libjs-swfobject from Depends.
  * debian/xpra.links: remove swfobject.js symlink.
  * debian/rules: Remove logic handling *.js files.

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 03 Feb 2014 14:51:48 +0200

xpra (0.11.2+dfsg-1) unstable; urgency=low

  * New upstream release [January 2014].
    + Removed assume_YUV420P_old_clients.patch, as it is applied upstream
    + Refreshed patches.
  * debian/rules:
    + Remove embedded copy of swfobject.js
    + Remove executable bit from web_socket.js
  * debian/control: add libjs-swfobject to Depends.
  * debian/xpra.links: add symlink to libjs-swfobject's swfobject.js

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 03 Feb 2014 05:07:12 +0200

xpra (0.10.12+dfsg-1) unstable; urgency=low

  * New upstream release [January 2014].

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 14 Jan 2014 22:37:19 +1100

xpra (0.10.11+dfsg-1) unstable; urgency=low

  * New upstream release [January 2014].
  * Dropped "r5009-fix-tooltip.patch".
  * Re-freshed "unbundle-webm.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 09 Jan 2014 08:12:05 +1100

xpra (0.10.10+dfsg-1) unstable; urgency=low

  * New upstream release [December 2013].
  * "python-gtkglext1" promoted to Recommends to encourage OpenGL
    acceleration.
  * New backported "r5009-fix-tooltip.patch" to fix tooltip info regression.
  * Standards to 3.9.5

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 20 Dec 2013 03:07:41 +1100

=== debian/control ===
Source: xpra
Section: x11
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
           Miguel Landaeta <miguel@miguel.cc>,
           Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9) ,quilt
              ,cython (>= 0.19)
#              ,libavcodec-dev (>= 6:9.1)
              ,libavcodec-dev
#              ,libswscale-dev (>= 6:9.1)
              ,libswscale-dev
              ,libvpx-dev
              ,libx11-dev
              ,libx264-dev
              ,libxcomposite-dev
              ,libxdamage-dev
              ,libxtst-dev
              ,python-all-dev
              ,python-gobject-dev
              ,python-gtk2-dev
X-Python-Version: >= 2.7
Standards-Version: 3.9.5
Homepage: http://xpra.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/xpra.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xpra.git

Package: xpra
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
        ,python-gtk2
        ,x11-xserver-utils
        ,xserver-xorg-input-void
        ,xserver-xorg-video-dummy
Recommends: openssh-client
           ,ssh-askpass
# PNG and JPEG support:
           ,python-imaging
# WebP codec
           ,python-webm
# OpenGL support:
         ,python-gtkglext1
Breaks:
# keyboard-configuration (>= 1.82) is workaround for #180 to fix keypad keys forwarding.
  keyboard-configuration (<< 1.82)
Suggests: openssh-server
         ,python-dbus
# audio: [wavpack, wav, flac, speex]           [mp3]                        [opus]
         ,gstreamer0.10-plugins-good | gstreamer0.10-plugins-ugly | gstreamer0.10-plugins-bad
         ,python-gst0.10
         ,pulseaudio
         ,pulseaudio-utils
Description: tool to detach/reattach running X programs
 Xpra gives you the functionality of GNU Screen for X applications.
 .
 It allows the user to view remote X applications on their local machine, and
 disconnect and reconnect from the remote machine without losing the state of
 the running applications.
 .
 Unlike VNC, these applications are "rootless".  They appear as individual
 windows inside your window manager rather than being contained within a single
 window.

#Package: xpra-dbg
#Section: debug
#Priority: extra
#Architecture: any
#Depends: xpra (= ${binary:Version}), ${misc:Depends}
#Description: xpra -- debugging symbols
# Xpra gives you the functionality of GNU Screen for X applications.
# .
# It allows the user to view remote X applications on their local machine, and
# disconnect and reconnect from the remote machine without losing the state of
# the running applications.
# .
# Unlike VNC, these applications are "rootless".  They appear as individual
# windows inside your window manager rather than being contained within a single
# window.
# .
# This package provides debugging symbols

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
%:
	dh $@ --with python2

# backportability: patch upstream source for compatibility with older libav if necessary.
NEW_AV=$(shell dpkg --compare-versions $$(dpkg --status libavcodec-dev | grep Version | cut -d' ' -f2) ge 6:9.1 && echo 1)
override_dh_auto_build:
	# Make sure all patches applied
	dh_quilt_patch
	# Unapply top patch if necessary (i.e. if new libav detected)
	[ -z "$(NEW_AV)" ] || QUILT_PATCHES=debian/patches quilt pop
	# Build:
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_install:
	dh_auto_install
	# Post-install clean-up
	$(RM) -v debian/xpra/usr/share/xpra/COPYING debian/xpra/usr/bin/xpra_Xdummy

## gracefully handle stripping if -dbg packages are (un-)commented in debian/control
override_dh_strip:
	[ -d "$(CURDIR)/debian/xpra-dbg" ] \
        && dh_strip -pxpra --dbg-package=xpra-dbg \
        || dh_strip -pxpra

override_dh_builddeb:
	dh_builddeb -- -Zxz

## http://wiki.debian.org/onlyjob/get-orig-source
PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
VER  ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{Version:\s*([\d\.]+)}')
DTYPE = +dfsg
.PHONY: get-orig-source
get-orig-source: $(PKG)_$(VER)$(DTYPE).orig.tar.xz $(info I: $(PKG)_$(VER)$(DTYPE))
	@

$(PKG)_$(VER)$(DTYPE).orig.tar.xz:
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
	@echo "# Extracting..."
	mkdir $(PKG)-$(VER) \
        && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
        || $(RM) -r $(PKG)-$(VER)
	@echo "# Clean-up..."
	cd $(PKG)-$(VER) \
        && $(RM) -r -v \
             */*.bmp \
             */.ico \
             */*.ico \
             xpra/codecs/webm \
						 html5
	@echo "# Packing..."
	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
        | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
        && $(RM) -r "$(PKG)-$(VER)"

## xpra 0.12.3%2Bdfsg

=== tests/xpra/codecs/x264/Makefile ===
# This file is part of Xpra.
# Copyright (C) 2012 Serviware (Arthur Huillet, <ahuillet@serviware.com>)
# Copyright (C) 2012, 2013 Antoine Martin <antoine@devloop.org.uk>
# Xpra is released under the terms of the GNU GPL v2, or, at your option, any
# later version. See the file COPYING for details.

# This makefile is only used for experimenting/testing
# The library and python bindings are built using the standard setup.py file

CFLAGS+=$(shell pkg-config  --cflags $(FFMPEG_LIBS))
LDFLAGS+=$(shell pkg-config --libs $(FFMPEG_LIBS)) -lm

CFLAGS+=-fPIC -W -g3 -O1

all: x264lib.so testlib

x264lib.so: x264lib.o
	$(CC) -shared -Wl,-soname,x264lib.so -o $@ $(LDFLAGS) $< -l x264 -lswscale -lavcodec
#static link: $(CC) -shared -Wl,-soname,x264lib.so -o $@ $(LDFLAGS) $< -Wl,-Bstatic -Wl,-Bsymbolic -lx264 -lswscale -lavcodec -Wl,-Bdynamic

x264lib.o: x264lib.c x264lib.h
	$(CC) $(CFLAGS) x264lib.c -c -o $@

testlib: x264lib.so testlib.c
	$(CC) $(CFLAGS) testlib.c -o $@ ./x264lib.so -l x264 -lswscale -lavcodec

OBJS=$(addsuffix .o,$(EXAMPLES))

.phony: all clean


clean:
	rm -rf x264lib.so x264lib.o

## xpra 0.12.3+dfsg

=== debian/changelog ===
xpra (0.12.3+dfsg-1ubuntu1) trusty; urgency=medium

  * Merge with Debian, remaining changes:
    + Remove Breaks field for Ubuntu (not needed).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 13 Apr 2014 10:48:26 +0200

xpra (0.12.3+dfsg-1) unstable; urgency=low

  * New upstream release [April 2014].

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 10 Apr 2014 08:50:52 +1000

xpra (0.12.2+dfsg-1ubuntu1) trusty; urgency=medium

  * Merge with Debian, remaining changes:
    + Remove Breaks field for Ubuntu (not needed).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 04 Apr 2014 23:00:15 +0200

xpra (0.12.2+dfsg-1) unstable; urgency=low

  * New upstream release [March 2014].
  * Build-Depends:
    + pkg-config
    + libavutil-dev
  * Added lintian-override for false-positives "spelling-error-in-binary".
  * Enabled "xpra-dbg" package.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 31 Mar 2014 13:05:15 +1100

xpra (0.11.6+dfsg-1ubuntu2) trusty; urgency=medium

  * No-change rebuild for x264 soname bump.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Mar 2014 05:56:29 +0000

xpra (0.11.6+dfsg-1ubuntu1) trusty; urgency=medium

  * Merge with Debian, remaining changes:
    + Remove Breaks field for Ubuntu (not needed).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Fri, 21 Mar 2014 05:37:40 +0200

xpra (0.11.6+dfsg-1) unstable; urgency=low

  * New upstream release [March 2014].

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 18 Mar 2014 19:03:09 +1100

xpra (0.11.4+dfsg-1) unstable; urgency=medium

  * New upstream release [March 2014].
  * Demoted "python-pyopencl" from Recommends to Suggests (Closes: #739078).
  * New "libav10.patch" to fix FTBFS (Closes: #739459).
  * Updated "old-libav.patch" for backporting.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 04 Mar 2014 08:58:20 +1100

xpra (0.11.3+dfsg-1) unstable; urgency=low

  * New upstream release [February 2014].
  * New patch to enable OpenCL acceleration.
    + versioned dependency: "libx264-dev (>= 2:0.133.2339+git585324f)".
    + added "python-pyopencl" to Recommends.
  * Fixed patch order sequence.
  * New Recommends:
    + python-avahi
    + python-netifaces

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 15 Feb 2014 18:02:28 +1100

=== debian/control ===
Source: xpra
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
           Miguel Landaeta <miguel@miguel.cc>,
           Dmitry Smirnov <onlyjob@debian.org>
Build-Depends: debhelper (>= 9) ,quilt ,pkg-config
              ,cython (>= 0.19)
#              ,libavcodec-dev (>= 6:9.1)
              ,libavcodec-dev
              ,libavutil-dev
#              ,libswscale-dev (>= 6:9.1)
              ,libswscale-dev
              ,libvpx-dev
              ,libx11-dev
              ,libx264-dev (>= 2:0.133.2339+git585324f)
              ,libxcomposite-dev
              ,libxdamage-dev
              ,libxtst-dev
              ,python-all-dev
              ,python-gobject-dev
              ,python-gtk2-dev
X-Python-Version: >= 2.7
Standards-Version: 3.9.5
Homepage: http://xpra.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/xpra.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xpra.git

Package: xpra
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
        ,python-gtk2
        ,x11-xserver-utils
        ,xserver-xorg-input-void
        ,xserver-xorg-video-dummy
Recommends: openssh-client
           ,ssh-askpass
# PNG and JPEG support:
           ,python-imaging
# WebP codec
           ,python-webm
# OpenGL support:
         ,python-gtkglext1
# Misc.
         ,python-avahi
         ,python-netifaces
Suggests: openssh-server
         ,python-dbus
# OpenCL acceleration:
         ,python-pyopencl
# audio: [wavpack, wav, flac, speex]           [mp3]                        [opus]
         ,gstreamer0.10-plugins-good | gstreamer0.10-plugins-ugly | gstreamer0.10-plugins-bad
         ,python-gst0.10
         ,pulseaudio
         ,pulseaudio-utils
Description: tool to detach/reattach running X programs
 Xpra gives you the functionality of GNU Screen for X applications.
 .
 It allows the user to view remote X applications on their local machine, and
 disconnect and reconnect from the remote machine without losing the state of
 the running applications.
 .
 Unlike VNC, these applications are "rootless".  They appear as individual
 windows inside your window manager rather than being contained within a single
 window.

Package: xpra-dbg
Section: debug
Priority: extra
Architecture: any
Depends: xpra (= ${binary:Version}), ${misc:Depends}
Description: xpra -- debugging symbols
 Xpra gives you the functionality of GNU Screen for X applications.
 .
 It allows the user to view remote X applications on their local machine, and
 disconnect and reconnect from the remote machine without losing the state of
 the running applications.
 .
 Unlike VNC, these applications are "rootless".  They appear as individual
 windows inside your window manager rather than being contained within a single
 window.
 .
 This package provides debugging symbols

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 %:
 	dh $@ --with python2
+
+override_dh_auto_configure:
+	dh_auto_configure -- --with-debug
 
 # backportability: patch upstream source for compatibility with older libav if necessary.
 NEW_AV=$(shell dpkg --compare-versions $$(dpkg --status libavcodec-dev | grep Version | cut -d' ' -f2) ge 6:9.1 && echo 1)
@@ -22,7 +25,7 @@
 	dh_installchangelogs NEWS
 
 override_dh_auto_install:
-	dh_auto_install
+	dh_auto_install --destdir=$(CURDIR)/debian/xpra
 	# Post-install clean-up
 	$(RM) -v debian/xpra/usr/share/xpra/COPYING debian/xpra/usr/bin/xpra_Xdummy
 
@@ -59,7 +62,7 @@
              */.ico \
              */*.ico \
              xpra/codecs/webm \
-						 html5
+             html5
 	@echo "# Packing..."
 	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
         | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \

=== debian/watch ===
# uscan(1) configuration file.
# use "debian/rules get-orig-source" to get DFSG-repackaged orig.tar

version=3

## Mirror at winswitch.org
## (provides slightly repackaged archive with no significant changes)
opts="dversionmangle=s/\+dfsg//" \
  http://winswitch.org/src/ xpra-(.*)\.tar\.(?:bz2|xz|gz)

## Current up-to-date fork:
opts="dversionmangle=s/\+dfsg//" \
  http://xpra.org/src/xpra-([0-9.]+)\.tar\.bz2

## Old original project (unmaintained):
#http://code.google.com/p/partiwm/downloads/list \
#  http://partiwm.googlecode.com/files/parti-all-(.*)\.tar\.gz \

## xpra 0.13.7+dfsg

=== debian/changelog ===
xpra (0.13.7+dfsg-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 26 Jul 2014 13:23:59 +1000

xpra (0.13.7+dfsg-1) unstable; urgency=medium

  * New upstream release [July 2014].
    - removed obsolete "597.patch".
  * Add new "quality-levels.patch" to introduce new quality levels.
  * De-activated "conf-default-min-quality.patch".
  * "gbp.conf": import-orig/merge = false.
  * Removed inactive co-maintainer Miguel Landaeta from Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 20 Jul 2014 11:23:47 +1000

xpra (0.13.6+dfsg-1) unstable; urgency=medium

  * New upstream release [June 2014].
    + backported "597.patch" (Closes: #752500).
  * Removed obsolete patches, minor refresh.
  * Disabled x264 OpenCL support -- it makes things slower and may cause
    stability problems.
    - removed "enable-x264-opencl.patch".
    - dropped versioned Build-Dependency on "libx264-dev"
      (package is backports-friendly again).

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 03 Jul 2014 03:30:41 +1000

xpra (0.13.5+dfsg-1) unstable; urgency=low

  * New upstream release [June 2014].
    + backported "599.patch".
  * "libwebp-dev" added to Build-Depends for "webp" encoding support.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 14 Jun 2014 12:00:00 +1000

xpra (0.13.4+dfsg-1) unstable; urgency=low

  * New upstream release [June 2014].

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 11 Jun 2014 22:05:03 +1000

xpra (0.13.3+dfsg-1) unstable; urgency=low

  * New upstream release [June 2014].
    + refreshed patches.
  * get-orig-source: remove python-webm tests.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 07 Jun 2014 07:07:01 +1000

xpra (0.12.7+dfsg-1) unstable; urgency=low

  * New upstream release [May 2014].
  * Build and install private fakeXinerama:
    + new "fakexinerama.patch".
    + minor update to "README.Debian".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 31 May 2014 13:07:16 +1000

xpra (0.12.6+dfsg-1) unstable; urgency=low

  * New upstream release [May 2014].

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 16 May 2014 20:39:22 +1000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: xpra
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
-           Miguel Landaeta <miguel@miguel.cc>,
            Dmitry Smirnov <onlyjob@debian.org>
 Build-Depends: debhelper (>= 9) ,quilt ,pkg-config
               ,cython (>= 0.19)
@@ -14,8 +12,9 @@
 #              ,libswscale-dev (>= 6:9.1)
               ,libswscale-dev
               ,libvpx-dev
+              ,libwebp-dev
               ,libx11-dev
-              ,libx264-dev (>= 2:0.133.2339+git585324f)
+              ,libx264-dev
               ,libxcomposite-dev
               ,libxdamage-dev
               ,libxtst-dev
@@ -46,6 +45,9 @@
 # Misc.
          ,python-avahi
          ,python-netifaces
+Breaks:
+# keyboard-configuration (>= 1.82) is workaround for #180 to fix keypad keys forwarding.
+  keyboard-configuration (<< 1.82)
 Suggests: openssh-server
          ,python-dbus
 # OpenCL acceleration:

## xpra 0.13.9+dfsg

=== debian/changelog ===
xpra (0.13.9+dfsg-1ubuntu2) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 12:09:20 +0100

xpra (0.13.9+dfsg-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    + Remove Breaks field for Ubuntu (not needed).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Tue, 19 Aug 2014 11:40:03 +0300

xpra (0.13.9+dfsg-1) unstable; urgency=medium

  * New upstream release [August 2014].
    + Patched removed:
      - max-packet-size.patch
      - non-obscuring-spinners.patch
      - 72[46..63].patch

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 19 Aug 2014 11:40:31 +1000

xpra (0.13.8+dfsg-2) unstable; urgency=medium

  * Patchworks (thanks, Antoine):
    + "max-packet-size.patch" to fix potential client crash on very large
       windows/resolutions.
    + "non-obscuring-spinners.patch" to prevent hiding window contents.
    + "72*.patch" to fix failure to start remote server (Closes: #723058).
  * Recommend "python-lz4".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 14 Aug 2014 00:43:33 +1000

xpra (0.13.8+dfsg-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    + Remove Breaks field for Ubuntu (not needed).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 10 Aug 2014 12:40:28 +0300

xpra (0.13.8+dfsg-1) unstable; urgency=low

  * New upstream release [August 2014].
  * Depart from Python apps team; updated Mainatainer field.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 09 Aug 2014 15:57:32 +1000

xpra (0.13.7+dfsg-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    + Remove Breaks field for Ubuntu (not needed).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sun, 20 Jul 2014 09:40:26 +0200

xpra (0.13.6+dfsg-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    + Remove Breaks field for Ubuntu (not needed).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 03 Jul 2014 09:59:28 +0200

xpra (0.13.4+dfsg-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    + Remove Breaks field for Ubuntu (not needed).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Thu, 12 Jun 2014 10:05:18 +0300

xpra (0.13.3+dfsg-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    + Remove Breaks field for Ubuntu (not needed).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Wed, 11 Jun 2014 14:42:44 +0300

xpra (0.12.7+dfsg-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    + Remove Breaks field for Ubuntu (not needed).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Mon, 02 Jun 2014 12:45:45 +0300

xpra (0.12.6+dfsg-1ubuntu1) utopic; urgency=medium

  * Merge with Debian, remaining changes:
    + Remove Breaks field for Ubuntu (not needed).

 -- أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>  Sat, 17 May 2014 07:03:21 +0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: xpra
 Section: x11
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>,
-           Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Build-Depends: debhelper (>= 9) ,quilt ,pkg-config
               ,cython (>= 0.19)
 #              ,libavcodec-dev (>= 6:9.1)
@@ -36,6 +36,9 @@
         ,xserver-xorg-video-dummy
 Recommends: openssh-client
            ,ssh-askpass
+# Packet Encoding and Compression (http://xpra.org/trac/wiki/PacketEncoding):
+           ,python-lz4
+#          ,python-lzo ::Xpra 0.14+
 # PNG and JPEG support:
            ,python-imaging
 # WebP codec
@@ -45,9 +48,6 @@
 # Misc.
          ,python-avahi
          ,python-netifaces
-Breaks:
-# keyboard-configuration (>= 1.82) is workaround for #180 to fix keypad keys forwarding.
-  keyboard-configuration (<< 1.82)
 Suggests: openssh-server
          ,python-dbus
 # OpenCL acceleration:

=== debian/rules ===
--- 
+++ 
@@ -20,12 +20,17 @@
 	[ -z "$(NEW_AV)" ] || QUILT_PATCHES=debian/patches quilt pop
 	# Build:
 	dh_auto_build
+	# Build Fakexinerama
+	cd fakexinerama \
+        && gcc -O2 -Wall $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) fakeXinerama.c -fPIC -o libfakeXinerama.so.1.0 -shared
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
 override_dh_auto_install:
 	dh_auto_install --destdir=$(CURDIR)/debian/xpra
+	# Install Fakexinerama
+	install -pm 0644 fakexinerama/libfakeXinerama.so* $(CURDIR)/debian/xpra/usr/lib/xpra/
 	# Post-install clean-up
 	$(RM) -v debian/xpra/usr/share/xpra/COPYING debian/xpra/usr/bin/xpra_Xdummy
 
@@ -62,6 +67,7 @@
              */.ico \
              */*.ico \
              xpra/codecs/webm \
+             tests/webm \
              html5
 	@echo "# Packing..."
 	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \

## xpra 0.14.9+dfsg

=== debian/changelog ===
xpra (0.14.9+dfsg-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 19 Oct 2014 05:16:59 +1100

xpra (0.14.9+dfsg-1) unstable; urgency=medium

  * New upstream release [October 2014].
  * Removed "661.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 08 Oct 2014 05:04:25 +1100

xpra (0.14.8+dfsg-4) unstable; urgency=medium

  * Yet another improvement to "661.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Oct 2014 18:00:02 +1100

xpra (0.14.8+dfsg-3) unstable; urgency=medium

  * Updated "661.patch" with proper fix from upstream.
    Thanks, Antoine Martin.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 06 Oct 2014 06:20:36 +1100

xpra (0.14.8+dfsg-2) unstable; urgency=medium

  * New patch "661.patch" to fix keyboard layout switch (Xpra#661).
  * Added bug-presubj note.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 04 Oct 2014 20:58:20 +1000

xpra (0.14.8+dfsg-1) unstable; urgency=medium

  * New upstream release [October 2014].
  * Dropped "657_681.patch".
  * Removed obsolete "xpra.lintian-overrides".
  * Build-Depends: bump libav dependencies to (>= 6:10.1).

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 03 Oct 2014 00:33:40 +1000

xpra (0.14.6+dfsg-1) unstable; urgency=low

  * New upstream release [September 2014].
  * New "657_681.patch" to fix deadlock with GNOME 3.12 (Closes: #759202).
  * Standards-Version to 3.9.6.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 18 Sep 2014 14:29:01 +1000

xpra (0.14.5+dfsg-1) unstable; urgency=low

  * New upstream release [September 2014].
  * New patch to set speaker forwarding "off" by default. Audio forwarding
    consumes bandwidth even for silence so we're better forward sound only
    when explicitly requested (from menu).

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 09 Sep 2014 16:00:47 +1000

xpra (0.14.4+dfsg-1) unstable; urgency=low

  * New upstream release [August 2014].
  * Improved "buildinfo-revision.patch" for better compatibily with older
    dpkg versions (Closes: #759386); Thanks, Simon Ruderich.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 31 Aug 2014 02:06:58 +1000

xpra (0.14.3+dfsg-1) unstable; urgency=low

  * New upstream release [August 2014].
  * Build-Depends:
    + libxkbfile-dev
    + python-gi-dev
    - python-gobject-dev
  * Depends:
    + python-gi-cairo
  * Recommends:
    + python-lzo
    - python-webm
    - python-imaging
    + python-pil
  * Patches:
    - 7245.patch
    - unbundle-webm.patch
    - conf-default-speaker.patch
    + 648.patch
    + conf-default-codec-order.patch
  * Extended "buildinfo-revision.patch" to inject package version.
  * "get-orig-source":
    - dropped obsolete "webm" removal.
  * Removed obsolete "debian/xpra.install".
  * Install Xpra FAQ once.
  * Fixed build options:
    - Droped worthless "override_dh_auto_configure".
    + Pass build options to "dh_auto_build" and "dh_auto_install".
    + Build using "--with-verbose --with-Xdummy --without-Xdummy_wrapper".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 25 Aug 2014 06:21:18 +1000

=== debian/control ===
--- 
+++ 
@@ -1,28 +1,26 @@
 Source: xpra
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Build-Depends: debhelper (>= 9) ,quilt ,pkg-config
               ,cython (>= 0.19)
-#              ,libavcodec-dev (>= 6:9.1)
-              ,libavcodec-dev
-              ,libavutil-dev
-#              ,libswscale-dev (>= 6:9.1)
-              ,libswscale-dev
+              ,libavcodec-dev (>= 6:10.1)
+              ,libavutil-dev (>= 6:10.1)
+              ,libswscale-dev (>= 6:10.1)
               ,libvpx-dev
               ,libwebp-dev
               ,libx11-dev
               ,libx264-dev
               ,libxcomposite-dev
               ,libxdamage-dev
+              ,libxkbfile-dev
               ,libxtst-dev
               ,python-all-dev
-              ,python-gobject-dev
+              ,python-gi-dev
               ,python-gtk2-dev
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://xpra.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/xpra.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xpra.git
@@ -30,6 +28,7 @@
 Package: xpra
 Architecture: any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
+        ,python-gi-cairo
         ,python-gtk2
         ,x11-xserver-utils
         ,xserver-xorg-input-void
@@ -38,16 +37,17 @@
            ,ssh-askpass
 # Packet Encoding and Compression (http://xpra.org/trac/wiki/PacketEncoding):
            ,python-lz4
-#          ,python-lzo ::Xpra 0.14+
-# PNG and JPEG support:
-           ,python-imaging
-# WebP codec
-           ,python-webm
+           ,python-lzo
+# png/L and png/P support:
+           ,python-pil
 # OpenGL support:
-         ,python-gtkglext1
+           ,python-gtkglext1
 # Misc.
-         ,python-avahi
-         ,python-netifaces
+           ,python-avahi
+           ,python-netifaces
+Breaks:
+# keyboard-configuration (>= 1.82) is workaround for #180 to fix keypad keys forwarding.
+  keyboard-configuration (<< 1.82)
 Suggests: openssh-server
          ,python-dbus
 # OpenCL acceleration:

## xpra 0.14.10+dfsg

=== debian/changelog ===
xpra (0.14.10+dfsg-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * Recommends: added compatibility package "python-imaging" as alternative
    to "python-pil" (which is not in "wheezy-backports"). "python-pil" or
    "python-imaging" is needed for PNG and JPEG encodings.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 25 Nov 2014 10:28:04 +1100

xpra (0.14.10+dfsg-1) unstable; urgency=medium

  * New upstream release [October 2014].

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 28 Oct 2014 15:44:57 +1100

=== debian/control ===
--- 
+++ 
@@ -38,8 +38,8 @@
 # Packet Encoding and Compression (http://xpra.org/trac/wiki/PacketEncoding):
            ,python-lz4
            ,python-lzo
-# png/L and png/P support:
-           ,python-pil
+# PNG [png,png/L,png/P], JPEG and WebP (python-pil) support:
+           ,python-pil | python-imaging
 # OpenGL support:
            ,python-gtkglext1
 # Misc.

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,9 @@
 
 export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
+BUILDOPTS= --with-verbose --with-Xdummy --without-Xdummy_wrapper
 %:
 	dh $@ --with python2
-
-override_dh_auto_configure:
-	dh_auto_configure -- --with-debug
 
 # backportability: patch upstream source for compatibility with older libav if necessary.
 NEW_AV=$(shell dpkg --compare-versions $$(dpkg --status libavcodec-dev | grep Version | cut -d' ' -f2) ge 6:9.1 && echo 1)
@@ -19,7 +17,7 @@
 	# Unapply top patch if necessary (i.e. if new libav detected)
 	[ -z "$(NEW_AV)" ] || QUILT_PATCHES=debian/patches quilt pop
 	# Build:
-	dh_auto_build
+	dh_auto_build -- $(BUILDOPTS)
 	# Build Fakexinerama
 	cd fakexinerama \
         && gcc -O2 -Wall $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) fakeXinerama.c -fPIC -o libfakeXinerama.so.1.0 -shared
@@ -28,11 +26,11 @@
 	dh_installchangelogs NEWS
 
 override_dh_auto_install:
-	dh_auto_install --destdir=$(CURDIR)/debian/xpra
+	dh_auto_install --destdir=$(CURDIR)/debian/xpra -- $(BUILDOPTS)
 	# Install Fakexinerama
 	install -pm 0644 fakexinerama/libfakeXinerama.so* $(CURDIR)/debian/xpra/usr/lib/xpra/
 	# Post-install clean-up
-	$(RM) -v debian/xpra/usr/share/xpra/COPYING debian/xpra/usr/bin/xpra_Xdummy
+	$(RM) -v debian/xpra/usr/share/xpra/COPYING debian/xpra/usr/bin/xpra_Xdummy debian/xpra/usr/share/xpra/README
 
 ## gracefully handle stripping if -dbg packages are (un-)commented in debian/control
 override_dh_strip:
@@ -66,8 +64,6 @@
              */*.bmp \
              */.ico \
              */*.ico \
-             xpra/codecs/webm \
-             tests/webm \
              html5
 	@echo "# Packing..."
 	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \

## xpra 0.14.24+dfsg

=== debian/changelog ===
xpra (0.14.24+dfsg-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Remove Breaks field for Ubuntu (not needed).

 -- Micah Gersten <micahg@ubuntu.com>  Wed, 27 May 2015 09:05:13 -0500

xpra (0.14.24+dfsg-1) unstable; urgency=low

  * New upstream release [May 2015].
  * rules clean-up:
    + dropped obsolete override_dh_builddeb.
    + simplified get-orig-source in favour of native uscan repacking.
  * Build-Depends:
    + dh-python
  * watch: added repacksuffix.
  * Renamed "buildinfo-revision.patch" --> "buildinfo.patch";
    updated the latter to reduce non-determinism in upstream build info.
  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 21 May 2015 16:37:07 +1000

xpra (0.14.18+dfsg-1ubuntu1) wily; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Remove Breaks field for Ubuntu (not needed).

 -- Micah Gersten <micahg@ubuntu.com>  Tue, 12 May 2015 22:20:16 -0500

xpra (0.14.18+dfsg-1) experimental; urgency=low

  * New upstream release [January 2015].
  * control: added compatibility package "python-imaging" as alternative
    to "python-pil".
  * copyright: added "Files-Excluded" section.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 21 Jan 2015 17:00:56 +1100

xpra (0.14.10+dfsg-1ubuntu1) vivid; urgency=medium

  * Resynchronise with Debian.  Remaining changes:
    - Remove Breaks field for Ubuntu (not needed).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Nov 2014 13:37:18 +0000

## xpra 0.14.25+dfsg

=== debian/changelog ===
xpra (0.14.25+dfsg-1ubuntu3) xenial; urgency=medium

  * No-change rebuild against new x264

 -- Iain Lane <iain@orangesquash.org.uk>  Thu, 12 Nov 2015 13:32:04 +0000

xpra (0.14.25+dfsg-1ubuntu2) wily; urgency=medium

  * No-change rebuild against new libvpx

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 24 Jul 2015 17:59:13 +0100

xpra (0.14.25+dfsg-1ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Remove Breaks field for Ubuntu (not needed).

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 14 Jun 2015 12:57:54 -0500

xpra (0.14.25+dfsg-1) unstable; urgency=medium

  * New upstream release [June 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 11 Jun 2015 19:02:41 +1000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: xpra
 Section: x11
 Priority: optional
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-Build-Depends: debhelper (>= 9) ,quilt ,pkg-config
+Build-Depends: debhelper (>= 9) ,quilt ,pkg-config ,dh-python
               ,cython (>= 0.19)
               ,libavcodec-dev (>= 6:10.1)
               ,libavutil-dev (>= 6:10.1)
@@ -45,9 +46,6 @@
 # Misc.
            ,python-avahi
            ,python-netifaces
-Breaks:
-# keyboard-configuration (>= 1.82) is workaround for #180 to fix keypad keys forwarding.
-  keyboard-configuration (<< 1.82)
 Suggests: openssh-server
          ,python-dbus
 # OpenCL acceleration:

=== debian/rules ===
--- 
+++ 
@@ -38,9 +38,6 @@
         && dh_strip -pxpra --dbg-package=xpra-dbg \
         || dh_strip -pxpra
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz
-
 ## http://wiki.debian.org/onlyjob/get-orig-source
 PKD   = $(abspath $(dir $(MAKEFILE_LIST)))
 PKG   = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog | grep ^Source))
@@ -52,20 +49,5 @@
 
 $(PKG)_$(VER)$(DTYPE).orig.tar.xz:
 	@echo "# Downloading..."
-	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)
-	$(if $(wildcard $(PKG)-$(VER)),$(error $(PKG)-$(VER) exist, aborting..))
-	@echo "# Extracting..."
-	mkdir $(PKG)-$(VER) \
-        && tar -xf $(PKG)_$(VER).orig.tar.* --directory $(PKG)-$(VER) --strip-components 1 \
-        || $(RM) -r $(PKG)-$(VER)
-	@echo "# Clean-up..."
-	cd $(PKG)-$(VER) \
-        && $(RM) -r -v \
-             */*.bmp \
-             */.ico \
-             */*.ico \
-             html5
-	@echo "# Packing..."
-	find -L "$(PKG)-$(VER)" -xdev -type f -print | sort \
-        | XZ_OPT="-6v" tar -caf "$(PKG)_$(VER)$(DTYPE).orig.tar.xz" -T- --owner=root --group=root --mode=a+rX \
-        && $(RM) -r "$(PKG)-$(VER)"
+	uscan --noconf --verbose --rename --repack --compression xz --destdir=$(CURDIR) \
+            --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)

=== debian/watch ===
# uscan(1) configuration file.
version=3

## Mirror at winswitch.org
## (provides slightly repackaged archive with no significant changes)
opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg//,\
  http://winswitch.org/src/ xpra-(.*)\.tar\.(?:bz2|xz|gz)

## Current up-to-date fork:
opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg//,\
  http://xpra.org/src/xpra-([0-9.]+)\.tar\.(?:bz2|xz|gz)

## Old original project (unmaintained):
#http://code.google.com/p/partiwm/downloads/list \
#  http://partiwm.googlecode.com/files/parti-all-(.*)\.tar\.gz \

## xpra 0.14.26+dfsg

=== debian/changelog ===
xpra (0.14.26+dfsg-1~bpo8+1) jessie-backports; urgency=low

  * Rebuild for jessie-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 19 Jul 2015 18:21:14 +1000

xpra (0.14.26+dfsg-1) unstable; urgency=low

  * New upstream release [June 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 19 Jun 2015 13:47:23 +1000

## xpra 0.14.29+dfsg

=== debian/changelog ===
xpra (0.14.29+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * New upstream release [August 2015].
  * Removed obsolete "795877.patch".
  * Added upstream "960-lz4-no-version.patch" to fix LZ4 detection.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 31 Aug 2015 12:48:53 +1000

xpra (0.14.28+dfsg-2~bpo8+1) jessie-backports; urgency=low

  * Rebuild for jessie-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 23 Aug 2015 18:02:15 +1000

xpra (0.14.28+dfsg-2) unstable; urgency=medium

  * New patch to fix upstream regression in client (Closes: #795877).
    Thanks, Jamie Heilman.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 18 Aug 2015 10:40:49 +1000

xpra (0.14.28+dfsg-1) unstable; urgency=medium

  * New upstream release [August 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 03 Aug 2015 19:54:17 +1000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: xpra
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
 Build-Depends: debhelper (>= 9) ,quilt ,pkg-config ,dh-python
               ,cython (>= 0.19)
@@ -46,6 +45,9 @@
 # Misc.
            ,python-avahi
            ,python-netifaces
+Breaks:
+# keyboard-configuration (>= 1.82) is workaround for #180 to fix keypad keys forwarding.
+  keyboard-configuration (<< 1.82)
 Suggests: openssh-server
          ,python-dbus
 # OpenCL acceleration:

## xpra 0.14.30+dfsg

=== debian/changelog ===
xpra (0.14.30+dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * New upstream release [September 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 16 Sep 2015 23:52:26 +1000

## xpra 0.15.8+dfsg

=== debian/changelog ===
xpra (0.15.8+dfsg-1) unstable; urgency=medium

  * New upstream release [November 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 16 Nov 2015 10:20:35 +1100

xpra (0.15.6+dfsg-1) unstable; urgency=medium

  * New upstream release [September 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 16 Sep 2015 23:32:50 +1000

xpra (0.15.5+dfsg-1) unstable; urgency=medium

  * New upstream release [August 2015].
  * Removed "960.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 03 Sep 2015 00:57:50 +1000

xpra (0.15.4+dfsg-1) unstable; urgency=low

  * New upstream release [August 2015].
    - Removed "libav10.patch".
    - Disabled "libav-no0RGB.patch".
    + Added "960.patch" to fix regression preventing detection of lz4.
  * Upload to unstable.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 23 Aug 2015 19:09:43 +1000

xpra (0.15.3+dfsg-1) experimental; urgency=low

  * New upstream release [July 2015].
  * Removed obsolete "900.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 13 Jul 2015 21:44:19 +1000

xpra (0.15.2+dfsg-2) experimental; urgency=medium

  * New recommended upstream "900.patch" for regression.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 30 Jun 2015 19:42:59 +1000

xpra (0.15.2+dfsg-1) experimental; urgency=medium

  * New upstream release [June 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 29 Jun 2015 19:04:38 +1000

xpra (0.15.1+dfsg-1) experimental; urgency=low

  * New upstream release [June 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Fri, 19 Jun 2015 13:22:32 +1000

xpra (0.15.0+dfsg-1) experimental; urgency=low

  * New upstream release [May 2015].
  * Patches refreshed and updated; Dropped obsolete "648.patch".
  * Recommends:
    + python-rencode
  * Files-Excluded += "tests/xpra/js/jquery*".
  * debian/clean: added new leftover files.
  * Updated Vcs-Browser URL.
  * Dropped "old-libav.patch" and code to (un-)apply it conditionally;
    Removed "quilt" from Build-Depends.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 17 Jun 2015 23:50:17 +1000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Uploaders: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
-Build-Depends: debhelper (>= 9) ,quilt ,pkg-config ,dh-python
+Build-Depends: debhelper (>= 9) ,pkg-config ,dh-python
               ,cython (>= 0.19)
               ,libavcodec-dev (>= 6:10.1)
               ,libavutil-dev (>= 6:10.1)
@@ -23,7 +23,7 @@
 Standards-Version: 3.9.6
 Homepage: http://xpra.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/xpra.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/xpra.git
+Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/xpra.git
 
 Package: xpra
 Architecture: any
@@ -36,6 +36,7 @@
 Recommends: openssh-client
            ,ssh-askpass
 # Packet Encoding and Compression (http://xpra.org/trac/wiki/PacketEncoding):
+           ,python-rencode
            ,python-lz4
            ,python-lzo
 # PNG [png,png/L,png/P], JPEG and WebP (python-pil) support:

=== debian/rules ===
--- 
+++ 
@@ -9,14 +9,7 @@
 %:
 	dh $@ --with python2
 
-# backportability: patch upstream source for compatibility with older libav if necessary.
-NEW_AV=$(shell dpkg --compare-versions $$(dpkg --status libavcodec-dev | grep Version | cut -d' ' -f2) ge 6:9.1 && echo 1)
 override_dh_auto_build:
-	# Make sure all patches applied
-	dh_quilt_patch
-	# Unapply top patch if necessary (i.e. if new libav detected)
-	[ -z "$(NEW_AV)" ] || QUILT_PATCHES=debian/patches quilt pop
-	# Build:
 	dh_auto_build -- $(BUILDOPTS)
 	# Build Fakexinerama
 	cd fakexinerama \

=== debian/watch ===
--- 
+++ 
@@ -13,7 +13,3 @@
 repacksuffix=+dfsg,\
 dversionmangle=s/\+dfsg//,\
   http://xpra.org/src/xpra-([0-9.]+)\.tar\.(?:bz2|xz|gz)
-
-## Old original project (unmaintained):
-#http://code.google.com/p/partiwm/downloads/list \
-#  http://partiwm.googlecode.com/files/parti-all-(.*)\.tar\.gz \
